import es, wcs, keyvalues, popuplib, playerlib, sqlite3

def load():
	# this is the dictionary layout
	'''dict[id] = {racename:{name:{level:int,xp:int,skills:list}}}'''
	# this is the connection, pathToDatabase must be altered of course
	pathToDatabase = es.getAddonPath('wcs_keyconvertor77') + '/es_wcsdata.sqldb'
	conn = sqlite3.connect(pathToDatabase)
	# creating a cursor
	c = conn.cursor()
	# just making an empty dict to fill
	convert_wcs = {}
	# execute the mysql query
	c.execute('select id,race,level,xp,skills from WCSUsers')
	# for each row in the result
	for row in c:
		# split the tupel (row) into the vars
		id,race,level,xp,skills = row
		# if a userid is already in the dict, update his dict
		if convert_wcs.has_key(id):
			# skills is splitted into a list!
			convert_wcs[id][race] = {'level':level,'xp':xp,'skills':skills.split('|')}
		# if the user is not in the dict, make him a dict
		else:
			convert_wcs[id] = {race:{'level':level,'xp':xp,'skills':skills.split('|')}}
	# running a loop on the dict stored from SQLDB	
	jtcount = 0
	for steamid in convert_wcs:
		if convert_wcs[steamid][race]['level'].isdigit():
			jtcount += 1
	es.msg('#multi', '#lightgreen%s.'%jtcount)
